package com.borjabolufer.elevate.model;

import java.io.Serializable;
import java.util.List;

public class Comida implements Serializable {
    public String nombre;
    public List<String> ingredientes;
    public String receta;
    public ValorNutricional valor_nutricional;
    public String video_url;

    public Comida(String nombre, List<String> ingredientes, String receta, ValorNutricional valor_nutricional, String video_url) {
        this.nombre = nombre;
        this.ingredientes = ingredientes;
        this.receta = receta;
        this.valor_nutricional = valor_nutricional;
        this.video_url = video_url;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public List<String> getIngredientes() {
        return ingredientes;
    }

    public void setIngredientes(List<String> ingredientes) {
        this.ingredientes = ingredientes;
    }

    public String getReceta() {
        return receta;
    }

    public void setReceta(String receta) {
        this.receta = receta;
    }

    public ValorNutricional getValor_nutricional() {
        return valor_nutricional;
    }

    public void setValor_nutricional(ValorNutricional valor_nutricional) {
        this.valor_nutricional = valor_nutricional;
    }

    public String getVideo_url() {
        return video_url;
    }

    public void setVideo_url(String video_url) {
        this.video_url = video_url;
    }
}
